searchNodes=[{"type":"module","title":"Barlix","doc":"Barlix aims to provide a flexible set of modules to generate and render barcodes. Currently it only supports a few symbologies. I hope to add more encoders and renderers in the future. Example Barlix.Code39 . encode! ( &quot;BARLIX&quot; ) |&gt; Barlix.PNG . print ( file : &quot;/tmp/barcode.png&quot; ) Encoders Barlix.Code39 Barlix.Code93 Barlix.Code128 Barlix.ITF Barlix.EAN13 Barlix.UPCE Renderers Barlix.UTF Barlix.PNG Barlix.SVG","ref":"Barlix.html"},{"type":"type","title":"Barlix.code/0","doc":"","ref":"Barlix.html#t:code/0"},{"type":"module","title":"Barlix.Code128","doc":"This module implements the Code 128 symbology.","ref":"Barlix.Code128.html"},{"type":"function","title":"Barlix.Code128.encode/1","doc":"Encodes the given value using code 128 symbology.","ref":"Barlix.Code128.html#encode/1"},{"type":"function","title":"Barlix.Code128.encode!/1","doc":"Accepts the same arguments as encode/1 . Returns Barlix.code/0 or raises Barlix.Error in case of invalid value.","ref":"Barlix.Code128.html#encode!/1"},{"type":"module","title":"Barlix.Code39","doc":"This module implements the Code 39 symbology.","ref":"Barlix.Code39.html"},{"type":"function","title":"Barlix.Code39.encode/2","doc":"Encodes the given value using code 39 symbology. Only a subset of ascii characters are supported. Options :checksum (boolean) - enables checksum. Defaults to false","ref":"Barlix.Code39.html#encode/2"},{"type":"function","title":"Barlix.Code39.encode!/2","doc":"Accepts the same arguments as encode/2 . Returns Barlix.code/0 or raises Barlix.Error in case of invalid value.","ref":"Barlix.Code39.html#encode!/2"},{"type":"module","title":"Barlix.Code93","doc":"This module implements the Code 93 symbology.","ref":"Barlix.Code93.html"},{"type":"function","title":"Barlix.Code93.encode/1","doc":"Encodes the given value using code 93 symbology.","ref":"Barlix.Code93.html#encode/1"},{"type":"function","title":"Barlix.Code93.encode!/1","doc":"Accepts the same arguments as encode/1 . Returns Barlix.code/0 or raises Barlix.Error in case of invalid value.","ref":"Barlix.Code93.html#encode!/1"},{"type":"module","title":"Barlix.EAN13","doc":"Implements EAN13 .","ref":"Barlix.EAN13.html"},{"type":"function","title":"Barlix.EAN13.encode/1","doc":"Encodes the given value using EAN13. The given code is validated first. Examples iex&gt; Barlix.EAN13 . encode ( &quot;5449000096241&quot; ) { :ok , { :D1 , [ 1 , 0 , 1 , 0 , 1 , 0 , 0 , 0 , 1 , 1 , 0 , 0 , 1 , 1 , 1 , 0 , 1 , 0 , 0 , 1 , 0 , 1 , 1 , 1 , 0 , 0 , 0 , 1 , 1 , 0 , 1 , 0 , 0 , 0 , 1 , 1 , 0 , 1 , 0 , 1 , 0 , 0 , 1 , 1 , 1 , 0 , 1 , 0 , 1 , 0 , 1 , 1 , 1 , 0 , 0 , 1 , 0 , 1 , 1 , 1 , 0 , 1 , 0 , 0 , 1 , 0 , 1 , 0 , 0 , 0 , 0 , 1 , 1 , 0 , 1 , 1 , 0 , 0 , 1 , 0 , 1 , 1 , 1 , 0 , 0 , 1 , 1 , 0 , 0 , 1 , 1 , 0 , 1 , 0 , 1 ] } } iex&gt; Barlix.EAN13 . encode ( &quot;5901234123450&quot; ) { :error , &quot;validation failed: expected checksum digit 7 but received 0&quot; }","ref":"Barlix.EAN13.html#encode/1"},{"type":"function","title":"Barlix.EAN13.encode!/1","doc":"Accepts the same arguments as encode/1 but raises on error.","ref":"Barlix.EAN13.html#encode!/1"},{"type":"function","title":"Barlix.EAN13.get_code/1","doc":"","ref":"Barlix.EAN13.html#get_code/1"},{"type":"function","title":"Barlix.EAN13.get_code/3","doc":"","ref":"Barlix.EAN13.html#get_code/3"},{"type":"function","title":"Barlix.EAN13.validate/1","doc":"Validate an EAN13 code. Examples iex&gt; Barlix.EAN13 . validate ( &quot;5449000096241&quot; ) { :ok , [ 5 , 4 , 4 , 9 , 0 , 0 , 0 , 0 , 9 , 6 , 2 , 4 , 1 ] } iex&gt; Barlix.EAN13 . validate ( &quot;5901234123450&quot; ) { :error , &quot;validation failed: expected checksum digit 7 but received 0&quot; }","ref":"Barlix.EAN13.html#validate/1"},{"type":"module","title":"Barlix.ITF","doc":"This module implements the Interleaved 2 of 5 (ITF) symbology.","ref":"Barlix.ITF.html"},{"type":"function","title":"Barlix.ITF.encode/2","doc":"Encodes the given value using ITF symbology. Only numeric characters are supported. Options :pad (boolean) - adds a prefix character 0 if the length of characters is not even. Defaults to false :checksum (boolean) - enables checksum. Defaults to false","ref":"Barlix.ITF.html#encode/2"},{"type":"function","title":"Barlix.ITF.encode!/2","doc":"Accepts the same arguments as encode/2 . Returns Barlix.code/0 or raises Barlix.Error in case of invalid value.","ref":"Barlix.ITF.html#encode!/2"},{"type":"module","title":"Barlix.PNG","doc":"This module implements the PNG renderer.","ref":"Barlix.PNG.html"},{"type":"function","title":"Barlix.PNG.print/2","doc":"Renders the given code in png image format. Options :file - (path) - target file path. If not set, PNG will be returned as iodata. :xdim - (integer) - width of a single bar in pixels. Defaults to 1 . :height - (integer) - height of the bar in pixels. Defaults to 100 . :margin - (integer) - margin size in pixels. Defaults to 10 .","ref":"Barlix.PNG.html#print/2"},{"type":"module","title":"Barlix.SVG","doc":"This module implements the SVG renderer.","ref":"Barlix.SVG.html"},{"type":"function","title":"Barlix.SVG.print/2","doc":"Renders the given code in svg format. Options :file - (path) - target file path. If not set, SVG will be returned as iodata. :xdim - (integer) - width of a single bar in pixels. Defaults to 1 . :height - (integer) - height of the bar in pixels. Defaults to 100 . :margin - (integer) - margin size in pixels. Defaults to 10 .","ref":"Barlix.SVG.html#print/2"},{"type":"module","title":"Barlix.UPCE","doc":"Implements UPC-E .","ref":"Barlix.UPCE.html"},{"type":"function","title":"Barlix.UPCE.encode/1","doc":"Encodes the given value using UPC-E. The given code is validated first. Examples iex&gt; Barlix.UPCE . encode ( &quot;04252614&quot; ) { :ok , { :D1 , [ 1 , 0 , 1 , 0 , 0 , 1 , 1 , 1 , 0 , 1 , 0 , 0 , 1 , 0 , 0 , 1 , 1 , 0 , 1 , 1 , 1 , 0 , 0 , 1 , 0 , 0 , 1 , 1 , 0 , 1 , 1 , 0 , 1 , 0 , 1 , 1 , 1 , 1 , 0 , 0 , 1 , 1 , 0 , 0 , 1 , 0 , 1 , 0 , 1 , 0 , 1 ] } } iex&gt; Barlix.UPCE . encode ( &quot;123456&quot; ) { :error , &quot;expected a string with exactly 8 chars, received 6 chars instead&quot; } iex&gt; Barlix.UPCE . encode ( &quot;06543214&quot; ) { :error , &quot;validation failed: expected checksum digit 7 but received 4&quot; }","ref":"Barlix.UPCE.html#encode/1"},{"type":"function","title":"Barlix.UPCE.encode!/1","doc":"Accepts the same arguments as encode/1 but raises on error.","ref":"Barlix.UPCE.html#encode!/1"},{"type":"function","title":"Barlix.UPCE.validate/1","doc":"Validate an UPC-E code. Examples iex&gt; Barlix.UPCE . validate ( &quot;04252614&quot; ) { :ok , [ 0 , 4 , 2 , 5 , 2 , 6 , 1 , 4 ] } iex&gt; Barlix.UPCE . validate ( &quot;123456789&quot; ) { :error , &quot;expected a string with exactly 8 chars, received 9 chars instead&quot; } iex&gt; Barlix.UPCE . validate ( &quot;16543217&quot; ) { :error , &quot;validation failed: expected checksum digit 4 but received 7&quot; } iex&gt; Barlix.UPCE . validate ( 123 ) { :error , &quot;unexpected input&quot; }","ref":"Barlix.UPCE.html#validate/1"},{"type":"module","title":"Barlix.UTF","doc":"UTF block characters are used to represent bars. This would be useful during development as the output can be easily printed on standard output. Example Barlix.Code39 . encode! ( &quot;BARLIX&quot; ) |&gt; Barlix.UTF . print |&gt; IO . puts ▌ ▐ ▐ ▌ █ ▐ ▐ ▐ ▌ ▌ ▐ ▐ ▌ █ ▐ ▐ ▌ █ ▐ ▌ ▌ ▌ █ ▌ ▌ █ ▐ ▐ █ ▐ ▐ ▌ ▌ ▐ ▌ ▌ ▌ ▐ ▐ ▌ ▌ █ ▐ ▌ █ ▐ ▌ ▌","ref":"Barlix.UTF.html"},{"type":"function","title":"Barlix.UTF.print/1","doc":"","ref":"Barlix.UTF.html#print/1"},{"type":"exception","title":"Barlix.Error","doc":"","ref":"Barlix.Error.html"},{"type":"extras","title":"License","doc":"Copyright (c) 2016 Anantha Kumaran Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"Barcode generator for Elixir.","ref":"readme.html"},{"type":"extras","title":"Overview - Installation","doc":"The package can be installed by adding :barlix to your list of dependencies in deps/0 function of mix.exs file: { :barlix , &quot;~&gt; 0.6&quot; }","ref":"readme.html#installation"},{"type":"extras","title":"Overview - Example","doc":"Barlix.Code39 . encode! ( &quot;BARLIX&quot; ) |&gt; Barlix.PNG . print ( file : &quot;/tmp/barcode.png&quot; )","ref":"readme.html#example"},{"type":"extras","title":"Overview - Copyright and License","doc":"Copyright (c) 2016 Anantha Kumaran This work is free. You can redistribute it and/or modify it under the terms of the MIT License. See the LICENSE.md file for more details.","ref":"readme.html#copyright-and-license"}]